@import "../CheckoutForm/CheckoutForm";

.cartItems {
  display: grid;
  grid-template-columns:  repeat(auto-fill, 310px);
  grid-template-rows: auto;
  gap: 10px;
  justify-items: center;
}

.cart_wrapper {
  width: 290px;
  display: flex;
  justify-content: center;
  position: relative;
}

.delete {
  position: absolute;
  right: 10px;
  top: 10px;
  transform: translateY(-50%);
  width: 20px;
  height: 20px;
  opacity: 0.3;
  cursor: pointer;

  &:hover {
    opacity: 1;
  }

  &::before, &::after {
    position: absolute;
    left: 15px;
    content: ' ';
    height: 20px;
    width: 2px;
    background-color: #000;
  }

  &::before {
    transform: rotate(45deg);
  }

  &::after {
    transform: rotate(-45deg);
  }
}

.checkout {
  margin-top: 15px;
  display: flex;
  justify-content: center;
  &_btn {
    @extend .submit_button;
    min-width: 90px;
  }
}